import 'package:diplomaticquarterapp/config/shared_pref_kay.dart';
import 'package:diplomaticquarterapp/config/size_config.dart';
import 'package:diplomaticquarterapp/core/service/client/base_app_client.dart';
import 'package:diplomaticquarterapp/models/Authentication/select_device_imei_res.dart';
import 'package:diplomaticquarterapp/uitl/translations_delegate_base.dart';
import 'package:diplomaticquarterapp/widgets/buttons/button.dart';
import 'package:diplomaticquarterapp/widgets/buttons/defaultButton.dart';
import 'package:diplomaticquarterapp/widgets/others/app_scaffold_widget.dart';
import 'package:diplomaticquarterapp/widgets/progress_indicator/app_circular_progress_Indeicator.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:diplomaticquarterapp/routes.dart';

class MyFamily extends StatefulWidget {
  @override
  _MyFamily createState() => _MyFamily();
}

class _MyFamily extends State<MyFamily> {
  bool isLoading = true;
  @override
  void initState() {
    isLoading = true;
    // checkUser(context);
    super.initState();
  }

  Widget build(BuildContext context) {
    return AppScaffold(
        appBarTitle: TranslationBase.of(context).myFamilyFiles,
        isShowAppBar: true,
        body: SingleChildScrollView(
            padding: EdgeInsets.all(20),
            child: Stack(
              children: <Widget>[
                TabBar(
                  tabs: [
                    Tab(icon: Icon(Icons.directions_car)),
                    Tab(icon: Icon(Icons.directions_transit)),
                  ],
                ),
                TabBarView(
                  children: [
                    Icon(Icons.directions_car),
                    Icon(Icons.directions_transit),
                  ],
                )
              ],
            )));
  }
}
